package com.bocloud.cos.entity;

/**
 * @Author: lxy
 * @Description: 账单分析枚举
 * @Date 2021/6/1 20:52
 * @Param null
 * @return
 * @throws:
 **/
public enum BillAnalysisCondition {
    /**
     * 平台
     */
    VENDOR("vendor", "平台"),
    /**
     * 租户
     */
    TENANT("tenant", "租户"),
    /**
     * 业务
     */
    BUSINESS("business", "业务"),
    /**
     * 项目
     */
    PROJECT("project", "项目"),
    /**
     * 标签
     */
    LABEL("label", "标签");

    /**
     * 条件
     */
    private String condition;
    /**
     * 名称
     */
    private String name;

    BillAnalysisCondition(String condition, String name) {
        this.condition = condition;
        this.name = name;
    }

    public String getCondition() {
        return condition;
    }

    public String getName() {
        return name;
    }
}
