package com.bocloud.cos.enums;

/**
 * 平台类型枚举
 *
 * @author tyl
 * @since 2021/1/5 14:34
 */
public enum VendorType {

    /**
     * 华为云
     */
    HUAWEI("华为云"),
    /**
     * 华为云
     */
    TCE("TCE"),
    /**
     * Vmware
     */
    MANAGEONE("MANAGEONE"),
    /**
     * 天翼云
     */
    TIANYI("天翼云"),
    /**
     * Vmware
     */
    VMWARE("Vmware"),
    /**
     * 阿里云
     */
    ALIYUN("阿里云"),
    /**
     * 华三云
     */
    H3C("华三云"),
    /**
     * openstack
     */
    OPENSTACK("openstack"),
    /**
     * azure
     */
    AZURE("azure"),
    /**
     * 腾讯云
     */
    TENCENT("腾讯云"),

    /**
     * 京东云
     */
    JDCLOUD("京东云"),

    AWS("AWS"),

    QCLOUD("青云"),

    HMC("HMC"),
    KUBERNETES("KUBERNETES"),
    /**
     * 火山云
     */
    VOLCENGINE("VOLCENGINE"),
    /**
     * Smart-x
     */
    SMARTX("SMARTX"),
    /**
     * 华为HCSO
     */
    HCSO("HCSO"),
    FUSIONSPHERE("FUSIONSPHERE"),
    EASYSTACK("EASYSTACK"),
    ;

    private String name;

    VendorType(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

//    public void setName(String name) {
//        this.name = name;
//    }
}
