package com.bocloud.cos.internel.entity;

import com.bocloud.common.model.GridBean;
import lombok.Data;

/**
 * @ClassName: CloudResourceCapacity
 * @Description: 云平台资源总量
 * @Author lxy
 * @Date 2021/5/27 11:17
 */
@Data
public class CloudResourceCapacity {
    //平台名称
    private String vendorName;
    //平台类型
    private String vendorType;
    //主机总数
    private Integer hostNum;
    //主机cpu
    private Long hostCpu;
    //主机内存
    private Double hostMem;
    //主机磁盘
    private Double hostDisk;
    //云主机总数
    private Integer vmNum;
    //虚拟cpu
    private Long vmCpu;
    //虚拟内存
    private Double vmMem;
    //虚拟磁盘
    private Double vmDisk;
    //各平台详细信息
    private GridBean cloudResourceCapacities;
}
