package com.bocloud.cos.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 订单明细资源模型
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年4月14日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ResourceModel {

    // 资源名称
    private String name;
    // 资源uuid
    private String uuid;
    // 服务编码
    private String code;
    // 资源uuid
    private String instanceId;
    // 资源sn
    private String sn;
}
