package com.bocloud.cos.params;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 账单操作参数实体
 *
 * @author tyl
 * @since 2021/4/7 10:55
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BillActionParams {
    /**
     * 账单操作
     */
    private Action action;
    /**
     * 账单编号
     */
    private String sn;
    /**
     * 优惠券Id
     */
    @Deprecated
    private Long couponId;

    /**
     * 账单操作
     */
    public enum Action {
        /**
         * 支付
         */
        pay,
        /**
         * 取消
         */
        cancel
    }
}
