package com.bocloud.cos.params;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author tyl
 * @since 2021/4/13 17:56
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class GrantBatchParams {
    /**
     * 批量授权操作服务id数组
     */
    private List<Long> serviceIds;
    /**
     * 批量授权租户id数组
     */
    private List<Long> tenantIds;
    /**
     * 授权类型 add添加
     */
    private String type;
}
