package com.bocloud.cos.params;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author tyl
 * @since 2021/3/29 11:41
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SkuParams {

    /**
     * 名称
     */
    private String name;
    /**
     * 状态
     */
    private String status;
    /**
     * 备注
     */
    private String remark;
    /**
     * 商品编码
     */
    private String sn;
    /**
     * 服务ID
     */
    private Long serviceId;
    /**
     * 服务类型id
     */
    private Long catalogId;
    /**
     * 服务编码
     */
    private String serviceCode;
    /**
     * 产品编码
     */
    private String code;
    /**
     * 类型ID
     */
    private Long categoryId;
    /**
     * 规格
     */
    private String spec;
    /**
     * 资费代码
     */
    private String tariffCode;
    /**
     * 每小时价格
     */
    private BigDecimal hourPrice;
    /**
     * 每月价格
     */
    private BigDecimal monthPrice;
    /**
     * 每年价格
     */
    private BigDecimal yearPrice;
}
