package com.bocloud.cos.params;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author tyl
 * @since 2021/3/26 18:07
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SkuPriceParams {

    /**
     * id
     */
    private Long id;
    /**
     * 商品sku id
     */
    private Long skuId;
    /**
     * 计费周期
     */
    private String period;
    private Long amount;
    private String unit;
    private BigDecimal price;
    private BigDecimal discount;
    /**
     * 计费模式
     */
    private String mode;
    private String name;
    private String status;
    private String remark;
}
