package com.bocloud.cos.intf;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;

/**
 * 对外展示大屏业务接口
 *
 * @author tyl
 * @since 2020/12/23 15:11
 */
public interface ExternalService {
    BocloudResult resourceOverview(Long dcId, RequestContext context);

    BocloudResult vmsTrend(Long dcId, RequestContext context);

    BocloudResult resourceTrend(Long dcId, RequestContext context);

    BocloudResult tenantResourceCount(Long dcId, RequestContext context);

    BocloudResult projectResourceCount(Long dcId, RequestContext context);

    BocloudResult businessResourceCount(Long dcId, RequestContext context);

}
