package com.bocloud.cos.intf;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Param;
import com.bocloud.cos.entity.Icon;

import java.util.List;
import java.util.Map;

/**
 * 图标service层
 *
 * @author lyy
 * @version 2.0
 * @time 2017年12月13日
 */
public interface IconService {

    /**
     * 列表展示
     *
     * @param page
     * @param rows
     * @param params
     * @param sorter
     * @param simple
     * @return
     */
    BocloudResult list(int page, int rows, List<Param> params, Map<String, String> sorter, boolean simple);

    /**
     * 新增图标
     *
     * @param icon
     * @return
     */
    BocloudResult create(Icon icon);

    /**
     * 删除图标
     *
     * @param id
     * @return
     */
    BocloudResult remove(Long id);
}
