package com.bocloud.cos.intf;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;
import com.bocloud.cos.entity.PortalPanel;

import java.util.List;

/**
 * 首页配置service层
 *
 * @author lyy
 * @version 2.0
 * @time 2017年12月27日
 */
public interface PortalPanelService {

    String CSC = "CSC";
    String CMC = "CMC";

    /**
     * 首页配置列表展示
     *
     * @param serverName
     * @param context
     * @return
     */
    BocloudResult list(String serverName, RequestContext context);

    /**
     * 全保存
     *
     * @param portalPanels
     * @param userId
     * @param serverName
     * @param tenantId
     * @param projectId
     * @return
     */
    BocloudResult save(List<PortalPanel> portalPanels, String serverName, Long userId, Long tenantId, Long projectId);


    /**
     * 重置
     *
     * @param serverName
     * @param context
     * @return
     */
    BocloudResult reset(String serverName, RequestContext context);

}
