package com.bocloud.cos.intf;

import com.bocloud.common.model.RequestContext;
import com.bocloud.common.model.Result;
import com.bocloud.cos.model.AlterationParam;

/**
 * 服务变更
 *
 * @author zhangyf
 * @since 2022年03月14日
 */
public interface ResourceAlterationService {


    /**
     * 服务变更
     *
     * @param params
     * @param context
     * @return
     */
    Result process(AlterationParam params, RequestContext context);

    /**
     * k8s缩容
     *
     * @param params
     * @return
     */
    Result k8sAlteration(AlterationParam params);

}
