package com.bocloud.cos.intf;

import com.bocloud.common.model.RequestContext;
import com.bocloud.common.model.Result;
import com.bocloud.cos.model.CancelationParam;

/**
 * 服务退订
 *
 * @author zhangyf
 * @since 2022年03月14日
 */
public interface ResourceUnsubscribeService {

    /**
     * 服务退订
     *
     * @param params
     * @param context
     * @return
     */
    Result process(CancelationParam params, RequestContext context);

    /**
     * 清空回收站
     *
     * @param context
     * @return
     */
    Result empty(RequestContext context);

}
