package com.bocloud.cos.service;

import com.bocloud.cos.entity.Attachment;
import com.bocloud.cos.intf.AttachmentService;
import com.bocloud.cos.repository.AttachmentRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AttachmentServiceImpl implements AttachmentService {

    @Autowired
    private AttachmentRepository attachmentRepository;

    @Override
    public void saveAttachment(List<Attachment> attachments) {
        try {
            attachmentRepository.saveAttachment(attachments);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    @Override
    public List<Attachment> list(String... groupIds) {
        try {
            return attachmentRepository.list(groupIds);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
