package com.bocloud.cos.enums;

/**
 * @author tyl
 * @time 2020/3/30 周一 19:32
 */
public enum QuotaCategory {
    /**
     * CPU
     */
    CPU("CPU", "meta.cpu", "C"),
    /**
     * 内存
     */
    MEM("内存", "meta.mem", "GB"),
    /**
     * 磁盘
     */
    DISK("磁盘", "meta.disk", "GB"),
    /**
     * 快照
     */
    SNAPSHOT("快照", "meta.snapshot", "个"),
    ;

    private final String name;
    private final String code;
    private final String unit;


    QuotaCategory(String name, String code, String unit) {
        this.name = name;
        this.code = code;
        this.unit = unit;
    }

    public String getName() {
        return name;
    }

    public String getCode() {
        return code;
    }

    public String getUnit() {
        return unit;
    }
}
