package com.bocloud.cos.internel.entity;

import com.bocloud.entity.bean.Generic;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 字典实体类
 *
 * @author yyf
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SmsDictionary extends Generic {
    /**
     * id
     */
    private Long id;
    /**
     * 父id
     */
    private Long pid;
    /**
     * 字典名称
     */
    private String name;
    /**
     * 字典value
     */
    private String value;

    /**
     * 权重排序
     */
    private Long weight = 1L;

    /**
     * 子集合
     */
    private List<SmsDictionary> children;

}
