package com.bocloud.cos.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 订购信息数据模型
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年4月13日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class DurationModel {

    // 单位
    private Mode mode;
    // 时长
    private Integer amount;

    public enum Mode {
        /**
         * 按小时
         */
        Hour,
        /**
         * 按月
         */
        Month,
        /**
         * 按年
         */
        Year
    }
}
