package com.bocloud.cos.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 授权服务请求参数对象
 *
 * @author tyl
 * @since 2021/3/31 17:03
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class GrantBean {
    /**
     * 是否开启配额
     */
    private Boolean quotaAble;
    /**
     * 服务授权数组
     */
    private List<ServiceBean> services;
    /**
     * 资源配额授权数组
     */
    private List<MetaBean> metas;
}
