package com.bocloud.cos.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * 折线图
 *
 * @param
 * @author zhangyf
 * @since 2018-08-10
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class LineChartResult {

    private List<String> keys;
    private Values[] values;
    /**
     * 单位
     */
    private String unit;

    public LineChartResult(List<String> keys, Values[] values) {
        super();
        this.keys = keys;
        this.values = values;
    }

    @Data
    public static class Values {

        private String name;
        private String stack;
        private List<Object> data;

        public Values(String name) {
            super();
            this.name = name;
            this.data = new ArrayList<>();
        }

        public Values(String name, List<Object> data) {
            super();
            this.name = name;
            this.data = data;
        }

        public Values(String name, List<Object> data, String stack) {
            super();
            this.name = name;
            this.data = data;
            this.stack = stack;
        }

    }

}
