package com.bocloud.cos.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tyl
 * @time 2020/4/23 周四 17:46
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ServiceOrderInfo {
    private Long serviceId;
    private String sn; // 产品编码
    private String name;
    private String icon;
    private Long number;
    private String path;
    private String code;

    public ServiceOrderInfo(String name, String icon, Long number, String path) {
        this.name = name;
        this.icon = icon;
        this.number = number;
        this.path = path;
    }
}
