package com.bocloud.cos.params;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author tyl
 * @since 2021/4/10 16:44
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CloudServiceActionParams {
    private Action action;
    private String templateName;
    private List<Long> ids;

    public enum Action {
        /**
         * 上架
         */
        PUBLISHED,
        /**
         * 下架
         */
        UNPUBLISHED,
        /**
         * 更新模板
         */
        TEMPLATE,
    }
}
