package com.bocloud.cos.params;

import com.bocloud.cos.entity.ResourceQuota;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 配额操作参数
 *
 * @author tyl
 * @since 2021/4/7 11:34
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
public class QuotaActionParams {
    private Long tenantId;
    ResourceQuota.Action action;
    List<ResourceQuota> quotas;
}
