package com.bocloud.cos.params;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author tyl
 * @since 2021/3/29 13:58
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SkuActionParams {
    private Action action;
    private List<Long> ids;

    public enum Action {
        /**
         * 启用
         */
        enable,
        /**
         * 禁用
         */
        disable,
    }
}
