package com.bocloud.cos.context;

import com.bocloud.cos.entity.CloudService;
import com.bocloud.cos.entity.OrderItem;
import com.bocloud.cos.entity.ServiceCategory;
import com.bocloud.cos.entity.ServiceOrder;
import com.bocloud.cos.operate.ResourceOperate;
import com.bocloud.cos.internel.entity.Tenant;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class AlterationContext {

    private ServiceOrder order;
    private OrderItem item;
    private CloudService service;
    private ServiceCategory category;
    private ResourceOperate alterationOperate;
    private List<OrderItem> alterationItems;
    private Tenant tenant;
}
