package com.bocloud.cos.intf;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Param;
import com.bocloud.common.model.RequestContext;
import com.bocloud.cos.entity.Recycled;

import java.util.List;
import java.util.Map;

public interface RecycledService {
    BocloudResult list(int page, int rows, List<Param> params, Map<String, String> sorter, RequestContext context);

    BocloudResult remove(Long id, RequestContext context);

    BocloudResult remove(String sn, Long userId);

    BocloudResult clear(RequestContext context);

    BocloudResult create(Recycled recycled, RequestContext context);

    BocloudResult restore(Long resourceId, Long id, String type, RequestContext context);

}
