package com.bocloud.cos.intf;

import com.bocloud.common.model.BocloudResult;

import java.util.Map;

/**
 * 租户分析业务接口
 *
 * @author tyl
 * @time 2020/6/29 周一 16:39
 */
public interface TenantAnalysisService {
    /**
     * 用户资源使用
     *
     * @param tenantId
     * @return
     */
    BocloudResult tenantResourceUsed(Long tenantId);

    /**
     * 租户分析
     *
     * @param condition
     * @param time
     * @param tenantId
     * @param resourceType
     * @return
     */
    BocloudResult tenantAnalysis(String condition, String time, String startTime, String endTime, Long tenantId, String resourceType);

    BocloudResult<Map<String, Object>> tenantResourceAnalysisDownLoad();
}
